%define kf5konq_major 6
%define libkf5konq %mklibname kf5konq %kf5konq_major
%define konqsidebarplugin_major 5
%define libkonqsidebarplugin %mklibname konqsidebarplugin %konqsidebarplugin_major
%define konquerorprivate_major 5
%define libkonquerorprivate %mklibname konquerorprivate %konquerorprivate_major
%define kf5konq_devel %mklibname kf5konq -d

Name:           konqueror
Version:        23.08.5
Release:        %mkrel 1
Summary:        KDE file and web browser
License:        GPLv2+
Group:          Graphical desktop/KDE5
Url:            https://konqueror.org/
Source0:        https://download.kde.org/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
Patch101:       konqueror-18.12.2-preloaded.patch
BuildRequires: cmake
BuildRequires: lib64kcodecs-devel
BuildRequires: lib64kconfig-devel
BuildRequires: lib64kcoreaddons-devel
BuildRequires: lib64kf5archive-devel
BuildRequires: lib64kf5auth-devel
BuildRequires: lib64kf5bookmarks-devel
BuildRequires: lib64kf5completion-devel
BuildRequires: lib64kf5configwidgets-devel
BuildRequires: lib64kf5crash-devel
BuildRequires: lib64kf5dbusaddons-devel
BuildRequires: lib64kf5guiaddons-devel
BuildRequires: lib64kf5i18n-devel
BuildRequires: lib64kf5iconthemes-devel
BuildRequires: lib64kf5jobwidgets-devel
BuildRequires: lib64kf5kcmutils-devel
BuildRequires: lib64kf5kdelibs4support-devel
BuildRequires: lib64kf5parts-devel
BuildRequires: lib64kf5pty-devel
BuildRequires: lib64kf5service-devel
BuildRequires: lib64kf5solid-devel
BuildRequires: lib64kf5sonnetui-devel
BuildRequires: lib64kf5su-devel
BuildRequires: lib64kf5textwidgets-devel
BuildRequires: lib64kf5wallet-devel
BuildRequires: lib64kf5widgetsaddons-devel
BuildRequires: lib64kf5windowsystem-devel
BuildRequires: lib64kf5xmlgui-devel
BuildRequires: lib64kio-devel
BuildRequires: lib64kitemviews-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5dbus-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5network-devel
BuildRequires: lib64qt5printsupport-devel
BuildRequires: lib64qt5script-devel
BuildRequires: lib64qt5texttospeech-devel
BuildRequires: lib64qt5webengine-devel
BuildRequires: lib64qt5widgets-devel
BuildRequires: lib64qt5xml-devel
BuildRequires: libxcb-devel
BuildRequires: make
BuildRequires: pkgconfig
BuildRequires: qtbase5-common-devel
BuildRequires: lib64tidy-html-devel

Requires:       plasma-workspace
Requires:       keditbookmarks
Requires:       qtwebengine5
Requires:       indexhtml
Provides:       webclient

Obsoletes: konq-plugins
Obsoletes: %libkf5konq
Obsoletes: %libkonqsidebarplugin
Obsoletes: %libkonquerorprivate

%description
Konqueror is KDE's Webbrowser and swiss-army-knife for any kind of
file-management and file previewing.

Features:
  * Webbrowsing using KHTML or KDEWebEngine as rendering engines
  * File management using most of Dolphin's features (including version-control,
    service menus and the basic UI)
  * File management on ftp and sftp servers
  * Full featured FTP-client (you can split views to display local and remote
    folders and previews in the same window)
  * Embedded applications to preview and edit files (e.g. Okular and KOffice for
    documents, Gwenview for pictures, KTextEditor for text-files)
  * Different kinds of plugins: Service-menus, KParts (embedded applications),
  * KIO (accessing files using special protocols like http or ftp) and
  * KPart-plugins (like AdBlocker...)

%files -f %name.lang
%_kf5_sysconfdir/xdg/autostart/konqy_preload.desktop
%_kf5_categoriesdir/konqueror.*categories
%_kf5_categoriesdir/akregatorplugin.*categories
%_kf5_bindir/%{name}
%_kf5_bindir/kfmclient
%_kf5_datadir/konqueror/icons/hicolor/*/*/*
%_kf5_datadir/konqueror/partsrcfiles/
%_qt5_plugindir/dolphinpart/kpartplugins/konq_shellcmdplugin.so
%_qt5_plugindir/konqueror_kcms/kcm_bookmarks.so
%_qt5_plugindir/konqueror_kcms/kcm_history.so
%_qt5_plugindir/konqueror_kcms/kcm_konq.so
%_qt5_plugindir/konqueror_kcms/kcm_performance.so
%_qt5_plugindir/konqueror_kcms/khtml_appearance.so
%_qt5_plugindir/konqueror_kcms/khtml_behavior.so
%_qt5_plugindir/konqueror_kcms/khtml_filter.so
%_qt5_plugindir/konqueror_kcms/khtml_general.so
%_qt5_plugindir/konqueror_kcms/khtml_java_js.so
%_kf5_plugindir/parts/fsviewpart.so
%_kf5_plugindir/parts/konq_sidebar.so
%_kf5_plugindir/parts/webenginepart.so
%_kf5_plugindir/kfileitemaction/akregatorplugin.so
%_kf5_libdir/libkdeinit5_kfmclient.so
%_kf5_libdir/libkdeinit5_konqueror.so
%_kf5_libdir/libkwebenginepart.so
%_kf5_applicationsdir/kfmclient.desktop
%_kf5_applicationsdir/kfmclient_html.desktop
%_kf5_applicationsdir/kfmclient_war.desktop
%_kf5_applicationsdir/konqbrowser.desktop
%_kf5_applicationsdir/kfmclient_dir.desktop
%_kf5_metainfodir/org.kde.%{name}.appdata.xml
%_kf5_datadir/kcontrol/*
%_kf5_datadir/kcmcss/template.css
%_kf5_datadir/kf5/kbookmark/directory_bookmarkbar.desktop
%_kf5_datadir/config.kcfg/konqueror.kcfg
%_kf5_services/org.kde.konqueror.desktop
%_kf5_services/webenginepart.desktop
%_kf5_datadir/konqueror/about/
%_kf5_datadir/konqueror/pics/
%_kf5_datadir/kxmlgui5/webenginepart/
%_kf5_datadir/webenginepart/error.html
%_kf5_datadir/dbus-1/interfaces/org.kde.Konqueror.Main.xml
%_kf5_datadir/dbus-1/interfaces/org.kde.Konqueror.MainWindow.xml
%_kf5_iconsdir/*/*/*/konqueror.*
%_kf5_iconsdir/*/*/*/webengine.*
%_kf5_categoriesdir/fsview.categories
%_kf5_sysconfdir/xdg/translaterc
%_kf5_sysconfdir/xdg/konqsidebartngrc
%_kf5_bindir/fsview
%_qt5_plugindir/akregatorkonqfeedicon.so
%_qt5_plugindir/autorefresh.so
%_qt5_plugindir/babelfishplugin.so
%_qt5_plugindir/dolphinpart/kpartplugins/dirfilterplugin.so
%_qt5_plugindir/dolphinpart/kpartplugins/kimgallery.so
%_qt5_plugindir/khtmlsettingsplugin.so
%_qt5_plugindir/khtmlttsplugin.so
%_qt5_plugindir/konqsidebar_*.so
%_qt5_plugindir/uachangerplugin.so
%_qt5_plugindir/khtml/kpartplugins/akregatorkonqfeediconkhtml_kpartplugins.so
%_qt5_plugindir/khtml/kpartplugins/autorefreshkhtml_kpartplugins.so
%_qt5_plugindir/khtml/kpartplugins/babelfishpluginkhtml_kpartplugins.so
%_qt5_plugindir/khtml/kpartplugins/khtmlsettingspluginkhtml_kpartplugins.so
%_qt5_plugindir/khtml/kpartplugins/khtmlttspluginkhtml_kpartplugins.so
%_qt5_plugindir/khtml/kpartplugins/konqueror_kget_browser_integrationkhtml_kpartplugins.so
%_qt5_plugindir/khtml/kpartplugins/uachangerpluginkhtml_kpartplugins.so
%_qt5_plugindir/khtml/kpartplugins/webarchiverpluginkhtml_kpartplugins.so
%_qt5_plugindir/konqueror/kpartplugins/searchbarplugin.so
%_qt5_plugindir/konqueror_kget_browser_integration.so
%_qt5_plugindir/kwebkitpart/kpartplugins/akregatorkonqfeediconkwebkitpart_kpartplugins.so
%_qt5_plugindir/kwebkitpart/kpartplugins/autorefreshkwebkitpart_kpartplugins.so
%_qt5_plugindir/kwebkitpart/kpartplugins/babelfishpluginkwebkitpart_kpartplugins.so
%_qt5_plugindir/kwebkitpart/kpartplugins/khtmlsettingspluginkwebkitpart_kpartplugins.so
%_qt5_plugindir/kwebkitpart/kpartplugins/khtmlttspluginkwebkitpart_kpartplugins.so
%_qt5_plugindir/kwebkitpart/kpartplugins/konqueror_kget_browser_integrationkwebkitpart_kpartplugins.so
%_qt5_plugindir/kwebkitpart/kpartplugins/uachangerpluginkwebkitpart_kpartplugins.so
%_qt5_plugindir/kwebkitpart/kpartplugins/webarchiverpluginkwebkitpart_kpartplugins.so
%_qt5_plugindir/webenginepart/kpartplugins/akregatorkonqfeediconwebenginepart_kpartplugins.so
%_qt5_plugindir/webenginepart/kpartplugins/autorefreshwebenginepart_kpartplugins.so
%_qt5_plugindir/webenginepart/kpartplugins/babelfishpluginwebenginepart_kpartplugins.so
%_qt5_plugindir/webenginepart/kpartplugins/khtmlsettingspluginwebenginepart_kpartplugins.so
%_qt5_plugindir/webenginepart/kpartplugins/khtmlttspluginwebenginepart_kpartplugins.so
%_qt5_plugindir/webenginepart/kpartplugins/konqueror_kget_browser_integrationwebenginepart_kpartplugins.so
%_qt5_plugindir/webenginepart/kpartplugins/uachangerpluginwebenginepart_kpartplugins.so
%_qt5_plugindir/webenginepart/kpartplugins/webarchiverpluginwebenginepart_kpartplugins.so
%_kf5_datadir/akregator/pics/feed.png
%_kf5_datadir/konqsidebartng/
%_kf5_iconsdir/hicolor/*/apps/fsview.png
%_kf5_iconsdir/hicolor/*/actions/babelfish.png
%_kf5_iconsdir/hicolor/*/actions/imagegallery.png
%_kf5_kxmlguidir/fsview/
%_kf5_services/fsview_part.desktop
%_kf5_services/konq_sidebartng.desktop
%_kf5_bindir/kcreatewebarchive
%_qt5_plugindir/webarchiverplugin.so
%_qt5_plugindir/webarchivethumbnail.so
%_kf5_datadir/config.kcfg/kcreatewebarchive.kcfg
%_kf5_iconsdir/hicolor/*/actions/webarchiver.png
%_kf5_datadir/kconf_update/webenginepart.upd
%_kf5_services/webarchivethumbnail.desktop
%_kf5_libdir/libKF5Konq.so.%{kf5konq_major}
%_kf5_libdir/libKF5Konq.so.5*
%_kf5_libdir/libkonqsidebarplugin.so.%{konqsidebarplugin_major}
%_kf5_libdir/libkonqsidebarplugin.so.%{version}
%_kf5_libdir/libkonquerorprivate.so.%{konquerorprivate_major}*
%_kf5_libdir/libkonquerorprivate.so.%{version}
%_kf5_datadir/applications/org.kde.konqueror.desktop
/usr/lib64/qt5/plugins/konqueror_kcms/khtml_cache.so
/etc/xdg/useragenttemplatesrc
/usr/lib64/qt5/plugins/konqueror_kcms/khtml_useragent.so
/usr/share/applications/bookmarks.desktop

%package        handbook
Summary:        Konqueror Handbook
Group:          Documentation
BuildArch:      noarch
Requires:       %{name}

%description    handbook
This package provides konqueror handbook.

%files handbook
%doc %_kf5_docdir/HTML/*/%{name}/
%doc %_kf5_docdir/HTML/*/kcontrol5/

%package -n     %kf5konq_devel
Summary:        Devel stuff for %name
Group:          Development/Libraries
Requires:       %{name}
Provides:       %{name}-devel = %version-%release

%description -n %kf5konq_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5konq_devel
%_includedir/*
%_kf5_libdir/lib*.so
%_kf5_libdir/cmake

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"

%cmake_kf5

%cmake_build

%install
%cmake_install
%find_lang %name --all-name


%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

